//Copyright (c) 1998, Arthur Gittleman
//This example is provided WITHOUT ANY WARRANTY either expressed or implied.

/* Creates two threads which write their names and
 * sleep.  The main thread also writes its name
 * and sleeps.
 */
 
import java.io.*;
public class NameThread extends Thread {
  private int time;
       
  public NameThread(String n, int t) {               
    super(n);                     
    time=t;  
  }
  public void run() {
    for (int i=1;i<=5;i++) {
      System.out.println(getName() + " " + i);
      try {
        Thread.sleep(time);
      } catch (InterruptedException e) {return;}
    }
  }
  public static void main(String argv[]) {
    NameThread bonnie = new NameThread("Bonnie",1000);
    bonnie.start();            
    NameThread clyde =  new NameThread("Clyde",700);
    clyde.start();
    for (int i=1;i<=5;i++) {
      System.out.println(Thread.currentThread().getName() + " " + i);
      try {
        Thread.sleep(1100);
      } catch (InterruptedException e) {return;}
    }
    String Names[]={"Gordon","Frye","Rieksts","Day","Jones"};
    NameThread Them[]=new NameThread[5];
    for (int i=0;i<5;i++) {
	Them[i]=new NameThread(Names[i],i*200);
	Them[i].start();
    }
    for (int i=1;i<=5;i++) {
      System.out.println(Thread.currentThread().getName() + " " + i);
      try {
        Thread.sleep(1100);
      } catch (InterruptedException e) {return;}
    }
  }
}